<div id="top_of_dialog">
	<strong>Storico Regola di Ripartizione</strong>
</div>

<div class="listViewContentDiv" id="listViewContents">
	<div class="contents-topscroll noprint">
		<div class="topscroll-div" style="width: 95%">&nbsp;</div>
	</div>
	<div class="listViewEntriesDiv contents-bottomscroll">
		<div class="bottomscroll-div" style="width: 95%; min-height: 80px">
			<table class="table table-bordered listViewEntriesTable" ng-hide="vuoto">
				<thead>
					<tr class="listViewHeaders">
						<th>Voce</th>
						<th>Tipo report</th>
						<th>Regola Valorizzazione</th>
						<th>Ripartizione</th>
						<th>Tipo ripartizione</th>
						<th>Dettaglio</th>
						<th>Esclusioni</th>
						<th>Utente Ultima Modifica</th>
						<th>Data Ultima Modifica</th>
					</tr>
				</thead>
				<tbody>
					<tr class="listViewEntries" ng-repeat="configurazione in storico">
						<td>{{configurazione.voceIncasso}}</td>
						<td>{{configurazione.tipologiaReport}}</td>
						<td>{{configurazione.valorizzazione.regola}}</td>
						<td>{{configurazione.ripartizioneOS}}</td>
						<td>
							<label ng-repeat="(key, value) in configurazione.ripartizione">{{value ? (key == 'voceIncassoRilevazioni' || key == 'campionarioProgrammi' || key == 'esclusioniUtilizzazioni' || key == 'campionarioRilevazioni' ? '' : key + ' ' + value + '%') : ''}}</label>
						</td>
						<td>
							<label ng-if="configurazione.ripartizione.campionario && configurazione.ripartizione.campionarioProgrammi">
								Programmi {{configurazione.ripartizione.campionarioProgrammi}} %
							</label>
							<label ng-if="configurazione.ripartizione.campionario && configurazione.ripartizione.campionarioRilevazioni">
								Rilevazioni {{configurazione.ripartizione.campionarioRilevazioni}} %
							</label>
							<label ng-if="configurazione.ripartizione.campionario && configurazione.ripartizione.campionarioRilevazioni">
								Voce Inc Ril {{configurazione.ripartizione.voceIncassoRilevazioni}} 
							</label>
							<label ng-if="!configurazione.ripartizione.campionario">-</label>
						</td>
						<td>
							<label ng-repeat="(key, value) in configurazione.ripartizione.esclusioniUtilizzazioni">
								{{value ? (key == 'durataMinima' ? 'Esecuzioni sotto i ' + value + ' secondi' : key) : ''}}
							</label>
						</td>
						<td>{{configurazione.user}}</td>
						<td ng-bind="configurazione.dataUltimaModifica| date: 'dd/MM/yyyy'"></td>
					</tr>
				</tbody>
			</table>
			<div ng-show="vuoto">
				<label><b>Non sono stati trovati risultati</b></label>
			</div>
		</div>
	</div>
</div>

<div style="margin-top: 15px">
	<table width="100%">
		<tr>
			<td>
				
			</td>
			<td align="left">
				<button type="button" class="btn addButton" ng-click="cancel(ctrl.ngDialogId)">
					<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Chiudi</strong>
				</button>
			</td>
		</tr>
	</table>
</div>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
